Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.button
Class CardActionButton

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.eclipse.higgins.ics.gwt.base.client.button.SimpleButton
                      org.eclipse.higgins.ics.gwt.base.client.button.CardActionButton

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener

public class CardActionButton
extends SimpleButton

Author:
  Alexander Yuhimenko

Constructor Summary
`CardActionButton(String text, com.google.gwt.user.client.ui.ClickListener clickListener)`

Method Summary
`String` | `getStyleNameButton()`
`String` | `getStyleNameButtonActive()`

Methods inherited from class org.eclipse.higgins.ics.gwt.base.client.button.SimpleButton
`addClickListener, getImageBorderRt, getImageBorderRtHover, getLayoutPanel, getMouseListener, getPanel, getText, getTooltip, setImageBorderRt, setImageBorderRtHover, setMouseListener, setText, setTooltip`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getElement, isAttached`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CardActionButton

    public CardActionButton(String text,
                            com.google.gwt.user.client.ui.ClickListener clickListener)

Parameters:
  `text` -
  `clickListener` -

Method Detail

### getStyleNameButton

    public String getStyleNameButton()

  Overrides:
    `getStyleNameButton` in class `SimpleButton`
  Returns:

### getStyleNameButtonActive

    public String getStyleNameButtonActive()

  Overrides:
    `getStyleNameButtonActive` in class `SimpleButton`
  Returns:

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD